summaryrefslogtreecommitdiff
path: root/source4/lib/ldb
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-06-30 03:56:55 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:18:58 -0500
commit34c57c5629211e55f84a33778e7c27a19ed04d7b (patch)
tree85d096789b16da1a2233e336b8a0b7fa31ae5d12 /source4/lib/ldb
parentbed487f6a3ad93f27d8dcb31cbad6b57f5032034 (diff)
downloadsamba-34c57c5629211e55f84a33778e7c27a19ed04d7b.tar.gz
samba-34c57c5629211e55f84a33778e7c27a19ed04d7b.tar.bz2
samba-34c57c5629211e55f84a33778e7c27a19ed04d7b.zip
r8010: added testing of wildcard attributes
(This used to be commit 25d3872a6ebbc152a83695e667f5d08e69c8c8ea)
Diffstat (limited to 'source4/lib/ldb')
-rw-r--r--source4/lib/ldb/tests/test-tdb-features.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/source4/lib/ldb/tests/test-tdb-features.sh b/source4/lib/ldb/tests/test-tdb-features.sh
index 7ed55430f7..3a7c50eae7 100644
--- a/source4/lib/ldb/tests/test-tdb-features.sh
+++ b/source4/lib/ldb/tests/test-tdb-features.sh
@@ -74,5 +74,25 @@ EOF
checkcount 1 '(i=0x100)'
checkcount 1 '(i=256)'
+echo "adding j"
+cat <<EOF | bin/ldbmodify || exit 1
+dn: cn=t1,cn=TEST
+changetype: modify
+add: j
+j: 0x100
+EOF
+checkcount 1 '(i=0x100)'
+checkcount 0 '(i=256)'
+
+echo "Adding wildcard attribute"
+echo "marking i as INTEGER"
+cat <<EOF | bin/ldbmodify || exit 1
+dn: @ATTRIBUTES
+changetype: modify
+add: *
+*: INTEGER
+EOF
+checkcount 1 '(i=0x100)'
+checkcount 1 '(i=256)'
rm -f $LDB_URL